<?php


namespace NL\NlMenubuilder\Domain\Model;


use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

interface MenuInterface
{
    public function getTitle(): string;

    public function getItems(): ?ObjectStorage;

    public function addItem(MenuItem $item): void;

    public function removeItem(MenuItem $itemToRemove): void;

    public function getItemsByType(int $type): array;

    public function getPageItems(): array;

    public function getLinkItems(): array;

    public function getContentItems(): array;

    public function getSubmenuItems(): array;
}
